% Pdead = GammaDeadlinePdead(gmean, gvar, T);
% 
% Calculate Pdead for a gamma-distributed deadline, where 
% Pdead(tm) = Prob{D<=t}, and tm=t+1.  Here we calculate the probabilities from
% t=0 to a final time t=T.  The gamma distribution we deal with has mean gmean
% and variance gvar.
function Pdead = GammaDeadlinePdead(gmean, gvar, T);
	% The mean of the gamma distribution is shape*scale
	% The variance is shape*scale^2.
	scale = gvar/gmean;
	shape = gmean/scale;
	Pdead = gamcdf([0:T], shape, scale);
end
