% OddsRatio() and InvertOddsRatio() are functions for computing the 
% odds ratio phi=p/(1-p) from p, and for inverting
% this computation.  p is in [0,1], and phi is in [0,Inf].  
% We have functions so that they handle infinity correctly and without
% warnings.  So for any p in this range, we have 
% p==InvertOddsRatio(OddsRatio(p));
function p=InvertOddsRatio(phi)
    p(find(isinf(phi))) = 1;
    not_inf = find(isfinite(phi));
    p(not_inf) = phi(not_inf)./(1+phi(not_inf));
end