function [num_correct,num_error]=ResponseTimeHistograms(Pdead,c,d,q0,num_samples,smooth_factor)
q1=1-q0;
nchunks=10^3;
T=length(Pdead);
[V,Qgo,Qstop,window_lb,window_ub]=TabularTimingUncertainty(T,Pdead,c,d,q0,q1,nchunks);
[num_total,num_correct,pmle,plb,pub,num_timeout]=SimulateResponseTimes(window_lb,window_ub,q0,q1,num_samples,Pdead);
num_error=num_total-num_correct;
i=find(num_correct > 0);
j=find(num_error > 0);
for i=[1:length(num_correct)/smooth_factor]
    s=(i-1)*smooth_factor+1;
    e=i*smooth_factor-1;
    num_error_smooth(i)=sum(num_error(s:e));
    num_correct_smooth(i)=sum(num_correct(s:e));
end
subplot(2,2,1)
bar([1:length(num_correct_smooth)]*smooth_factor,num_correct_smooth);
title('num correct');
subplot(2,2,3)
bar([1:length(num_error_smooth)]*smooth_factor,num_error_smooth);
title('num error');
subplot(2,2,2)
plot(j,num_correct(j)/sum(num_correct),i,num_error(i)/sum(num_error));
legend('correct','error')
subplot(2,2,4)
plot([1:length(window_lb)],window_lb,[1:length(window_ub)],window_ub,[1:length(Pdead)],Pdead);