% Calculate Pdead for a fixed deadline, where Pdead(tm) = Prob{D<=t}, and
% tm=t+1.  Here we calculate the probabilities from t=0 to a final time t=T.
function Pdead = FixedDeadlinePdead(D, T);
	for t=[0:min(D-1,T)]
		tm = t+1;
		Pdead(tm) = 0;
	end
	for t=[D:T]
		tm = t+1;
		Pdead(tm) = 1;
	end
end
