% Preparatory stuff..
T=60;
c=.001;
d=2;
q0=.45;
q1=.55;
nchunks=10^4;
Dmean0 = 20;
DmeanA = 40;
DmeanB = 30;
std = 1;
nsamples=10^6;
Pdead0=GammaDeadlinePdead(Dmean0,std^2,T);
PdeadA=GammaDeadlinePdead(DmeanA,std^2,T);
PdeadB=GammaDeadlinePdead(DmeanB,std^2,T);
[V0,Qgo0,Qstop0,window_lb0,window_ub0] = TabularTimingUncertainty(T,Pdead0,c,d,q0,q1,nchunks);
[VA,QgoA,QstopA,window_lbA,window_ubA] = TabularTimingUncertainty(T,PdeadA,c,d,q0,q1,nchunks);
[VB,QgoB,QstopB,window_lbB,window_ubB] = TabularTimingUncertainty(T,PdeadB,c,d,q0,q1,nchunks);
p=fromchunk([1:nchunks],nchunks);
T0=max(find(window_lb0<.5));
TA=max(find(window_lbA<.5));
TB=max(find(window_lbB<.5));
lb0=window_lb0(1:T0+1);
lbA=window_lbA(1:TA+1);
lbB=window_lbB(1:TB+1);
ub0=window_ub0(1:T0+1);
ubA=window_ubA(1:TA+1);
ubB=window_ubB(1:TB+1);

[num0,numcorrect0,phat0,plb0,pub0] = SimulateResponseTimes(window_lb0,window_ub0,q0,q1,nsamples);
[numA,numcorrectA,phatA,plbA,pubA] = SimulateResponseTimes(window_lbA,window_ubA,q0,q1,nsamples);
[numB,numcorrectB,phatB,plbB,pubB] = SimulateResponseTimes(window_lbB,window_ubB,q0,q1,nsamples);

ok0=find(num0>0);
okA=find(numA>0);
okB=find(numB>0);
e0 = (pub0(ok0)-plb0(ok0)) / 2;
eA = (pubA(okA)-plbA(okA)) / 2;
eB = (pubB(okB)-plbB(okB)) / 2;
y0 = pub0(ok0)-e0;
yA = pubA(okA)-eA;
yB = pubB(okB)-eB;