T=120;
c=.01;
d=2;
q0=.4;
q1=.6;
nchunks=1000;
Dmean = 80;
varA = 1;
varB = 10;
varC = 30;
Pdead0=FixedDeadlinePdead(Dmean,T);
PdeadA=GammaDeadlinePdead(Dmean,varA,T);
PdeadB=GammaDeadlinePdead(Dmean,varB,T);
PdeadC=GammaDeadlinePdead(Dmean,varC,T);
[V0,Qgo0,Qstop0,window_lb0,window_ub0] = TabularTimingUncertainty(T,Pdead0,c,d,q0,q1,nchunks);
[VA,QgoA,QstopA,window_lbA,window_ubA] = TabularTimingUncertainty(T,PdeadA,c,d,q0,q1,nchunks);
[VB,QgoB,QstopB,window_lbB,window_ubB] = TabularTimingUncertainty(T,PdeadB,c,d,q0,q1,nchunks);
[VC,QgoC,QstopC,window_lbC,window_ubC] = TabularTimingUncertainty(T,PdeadC,c,d,q0,q1,nchunks);
p=fromchunk([1:nchunks],nchunks);
T0=max(find(window_lb0<.5));
TA=max(find(window_lbA<.5));
TB=max(find(window_lbB<.5));
TC=max(find(window_lbC<.5));
lb0=window_lb0(1:T0+1);
lbA=window_lb1(1:TA+1);
lbB=window_lbB(1:TB+1);
lbC=window_lbC(1:TC+1);
ub0=window_ub0(1:T0+1);
ubA=window_ub1(1:TA+1);
ubB=window_ubB(1:TB+1);
ubC=window_ubC(1:TC+1);
% This plots the continuation regions
plot([0:T0],lb0,'-k',[0:TA],lbA,'--k',[0:TB],lbB,':k',[0:TC],lbC,'-.k',[0:T0],ub0,'-k',[0:TA],ubA,'--k',[0:TB],ubB,':k',[0:TC],ubC,'-.k')
legend('Variance=0',sprintf('Variance=%d',varA),sprintf('Variance=%d',varB),sprintf('Variance=%d',varC))
xlabel('time (t)')
ylabel('Continuation Region')
