% Preparatory stuff..
T=60;
c=.01;
d=2;
q0=.45;
q1=.55;
nchunks=1000;
Dmean = 40;
stdA = 1;
stdB = 5;
%stdC = 10;
nsamples=10^4;
Pdead0=FixedDeadlinePdead(Dmean,T);
PdeadA=GammaDeadlinePdead(Dmean,stdA^2,T);
PdeadB=GammaDeadlinePdead(Dmean,stdB^2,T);
%PdeadC=GammaDeadlinePdead(Dmean,stdC^2,T);
[V0,Qgo0,Qstop0,window_lb0,window_ub0] = TabularTimingUncertainty(T,Pdead0,c,d,q0,q1,nchunks);
[VA,QgoA,QstopA,window_lbA,window_ubA] = TabularTimingUncertainty(T,PdeadA,c,d,q0,q1,nchunks);
[VB,QgoB,QstopB,window_lbB,window_ubB] = TabularTimingUncertainty(T,PdeadB,c,d,q0,q1,nchunks);
%[VC,QgoC,QstopC,window_lbC,window_ubC] = TabularTimingUncertainty(T,PdeadC,c,d,q0,q1,nchunks);
p=fromchunk([1:nchunks],nchunks);
T0=max(find(window_lb0<.5));
TA=max(find(window_lbA<.5));
TB=max(find(window_lbB<.5));
%TC=max(find(window_lbC<.5));
lb0=window_lb0(1:T0+1);
lbA=window_lbA(1:TA+1);
lbB=window_lbB(1:TB+1);
%lbC=window_lbC(1:TC+1);
ub0=window_ub0(1:T0+1);
ubA=window_ubA(1:TA+1);
ubB=window_ubB(1:TB+1);
%ubC=window_ubC(1:TC+1);

[num0,numcorrect0,phat0,plb0,pub0] = SimulateResponseTimes(window_lb0,window_ub0,q0,q1,nsamples);
[numA,numcorrectA,phatA,plbA,pubA] = SimulateResponseTimes(window_lbA,window_ubA,q0,q1,nsamples);
[numB,numcorrectB,phatB,plbB,pubB] = SimulateResponseTimes(window_lbB,window_ubB,q0,q1,nsamples);
%[rspC,correctC,numC,numcorrectC,phatC,plbC,pubC] = SimulateResponseTimes(window_lbC,window_ubC,q0,q1,nsamples);

ok0=find(num0>0);
okA=find(numA>0);
okB=find(numB>0);
%okC=find(numC>0);
e0 = (pub0(ok0)-plb0(ok0)) / 2;
eA = (pubA(okA)-plbA(okA)) / 2;
eB = (pubB(okB)-plbB(okB)) / 2;
%eC = (pubC(okC)-plbC(okC)) / 2;
y0 = pub0(ok0)-e0;
yA = pubA(okA)-eA;
yB = pubB(okB)-eB;
%yC = pubC(okC)-eC;


% Actual plots.
tau_cdfh = plot([0:T0],cumsum(num0([0:T0]+1))/nsamples,'-k',[0:T0],cumsum(numA([0:T0]+1))/nsamples,'--k',[0:T0],cumsum(numB([0:T0]+1))/nsamples,'-.k');
hold on
windowh = plot([0:T0],lb0,'-b',[0:TA],lbA,'--b',[0:TB],lbB,'-.b',[0:T0],ub0,'-b',[0:TA],ubA,'--b',[0:TB],ubB,'-.b');
set(tau_cdfh,'LineWidth',2)
set(windowh,'LineWidth',2)
hrsp(3) = errorbar(okB-1,yB,eB,'-.r');
hrsp(2) = errorbar(okA-1,yA,eA,'--r');
hrsp(1) = errorbar(ok0-1,y0,e0,'-r');
set(hrsp,'LineWidth',2)
xlabel('Time (t)')
ylabel('Probability')
legend('Sdev=0','Sdev=1','Sdev=5')
legend('boxoff')
set(gca,'FontSize',14)
set(gca,'FontWeight','bold')